<?php

/**
 * Template part for displaying a message that posts cannot be found.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package cleanlogic
 */

?>

<section class="no-results not-found">
	<header class="page-header">
		<h1 class="page-title"><?php esc_html_e('Nothing Found', 'cleanlogic'); ?></h1>
	</header><!-- .page-header -->

	<div class="page-content">
		<?php if (is_home() && current_user_can('publish_posts')) : ?>
			<?php
			$new_post_url = admin_url('post-new.php');

			$link_html = sprintf(
				'<a href="%s">%s</a>',
				esc_url($new_post_url),
				esc_html__('Get started here', 'cleanlogic')
			);

			$message = sprintf(
				/* translators: %s: Link to create a new post. */
				esc_html__('Ready to publish your first post? %s.', 'cleanlogic'),
				$link_html
			);

			echo '<p>' . wp_kses_post($message) . '</p>';
			?>
		<?php elseif (is_search()) : ?>
			<p><?php esc_html_e('Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'cleanlogic'); ?></p>
		<?php
			get_search_form();

		else : ?>

			<p><?php esc_html_e('It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'cleanlogic'); ?></p>
		<?php
			get_search_form();

		endif; ?>
	</div><!-- .page-content -->
</section><!-- .no-results -->